Name:           gargoyle-free
Summary:        Graphical player for Interactive Fiction games
Epoch:		1
Version:        2011.1
Release:        %mkrel 1
URL:            http://ccxvii.net/gargoyle/
Source0:	http://garglk.googlecode.com/files/gargoyle-%{version}-sources.zip
Source1:	README.mageia
Patch0:		dfsg_disable_hugo.patch
Patch1:		dfsg_disable_alan2.patch
Patch2:		dfsg_replace_luximono_font.patch
Patch3:		ignore_bundled_libraries.patch
Patch4:		desktop_menu_entry_crs.patch
Patch5:		desktop_menu_entry.patch
Patch6:		fhs_locate_private_binaries.patch
Patch7:		librt.patch
Patch8:		gargoyle-2011.1-link.patch
License:        GPLv2 and others
Group:          Games/Adventure
BuildRequires:  ftjam SDL-devel SDL_sound-devel SDL_mixer-devel gtk2-devel jpeg-devel freetype-devel png-devel fontconfig-devel

%description
Gargoyle is an Interactive Fiction (text adventure) player that supports all 
the major interactive fiction formats.

Most interactive fiction is distributed as portable game files. These portable 
game files come in many formats. In the past, you used to have to download a 
separate player (interpreter) for each format of IF you wanted to play. 
Instead, Gargoyle provides an unified player.

Gargoyle is based on the standard interpreters for the formats it supports: 
Adrift, AdvSys, AGiliTy, Quest, JACL, Level 9, Magnetic, TADS2, TADS3, Z-code
and Glulxe.

Gargoyle also features graphics, sounds and Unicode support.

You can find hundreds of games at :
- the IF database : http://ifdb.tads.org
- the IF archive : http://ifarchive.org

Limitations:
* This free version of gargoyle does not include the non-free Alan and Hugo 
interpreter (and uses a different, free monospace font).
* The TADS interpreter doesn't support HTML TADS; you can play the games, but 
will miss the hyperlinks. 

%prep
%setup -qc -n %{name}-%{version}
%apply_patches

%build
cp %SOURCE1 .
jam -s_BINDIR=%{_gamesbindir} -s_LIBDIR=%{_libdir}/%{name} -s_APPDIR=%{_libexecdir}/%{name} -sLDFLAGS="%{ldflags}" 

%install
jam install -sDESTDIR=%{buildroot} -s_BINDIR=%{_gamesbindir} -s_LIBDIR=%{_libdir}/%{name} -s_APPDIR=%{_libexecdir}/%{name} -sLINKFLAGS="%{ldflags}"

%files
%doc README.mageia License.txt
%{_gamesbindir}/*
%{_libexecdir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so


%changelog

* Wed Feb 27 2013 fwang <fwang> 1:2011.1-1.mga3
+ Revision: 400470
- add dir
- update file list
- update file list
- link m
- more link
- fix linkage
- update switches
- update switch
- update build script
- add epoch to fix upgrading
- new version 2011.1

* Wed Feb 27 2013 fwang <fwang> 20090825-8.mga3
+ Revision: 400448
- use ldflags

* Wed Feb 27 2013 fwang <fwang> 20090825-7.mga3
+ Revision: 400444
- fix linkage

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Tue Sep 20 2011 fwang <fwang> 20090825-5.mga2
+ Revision: 145980
- fix typo
- fix build with latest libpng 1.5

* Wed Jan 26 2011 stormi <stormi> 20090825-5.mga1
+ Revision: 41517
- mgaification
- imported package gargoyle-free


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 20090825-4mdv2011.0
+ Revision: 610817
- rebuild

* Mon Apr 05 2010 Samuel Verschelde <stormi@mandriva.org> 20090825-3mdv2010.1
+ Revision: 531893
- install the .so file in /usr/lib instead of /usr/lib/gargoyle
- properly fix bug #58544

* Mon Apr 05 2010 Samuel Verschelde <stormi@mandriva.org> 20090825-2mdv2010.1
+ Revision: 531846
- use /usr/lib64/gargoyle on x86_64 systems (bug #58544)

* Sun Mar 28 2010 Samuel Verschelde <stormi@mandriva.org> 20090825-1mdv2010.1
+ Revision: 528639
- add missing BR
- import gargoyle-free


